Bug 1020420 - Turn on the fix for BEAST by default [CVE-2011-3389]
Turn on the fix for BEAST by default [CVE-2011-3389]
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: nss (Show other bugs)
20
Unspecified Unspecified
high Severity high
: ---
: ---
Assigned To: Elio Maldonado Batiz
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-17 11:54 EDT by Elio Maldonado Batiz
Modified: 2013-12-19 22:51 EST (History)
15 users (show)

See Also:
Fixed In Version: nss-3.15.2-2.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-10 02:23:47 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
nss.spec changes to preserve upstream default for BEAST -- in patch form (1.95 KB, patch)
2013-10-17 16:19 EDT, Elio Maldonado Batiz
emaldona: review? (rrelyea)
Details | Diff

  None (edit)
Description Elio Maldonado Batiz 2013-10-17 11:54:33 EDT
Description of problem: The default value SSL_CBC_RANDOM_IV SSL is currently turned off and users must turn it on to activate the fix for CVE-2011-3389 as we do on Rawhide. It should be other way around.

The defense against the SSL 3.0 and TLS 1.0 CBC chosen plaintext attack
demonstrated by Rizzo and Duong (CVE-2011-3389) [1] has been in implemented
in nss since nss-3.13 and in Fedora since nss-3.13.1.

NSS queries the SSL_CBC_RANDOM_IV SSL environment variable to activate the fix.

For Fedora stable branches until now we have overriden the NSS upstream default
value of 1 and set it to 0 in order to avoid breakage for users and client applications that needed to connect to still unpatched servers. The user (user or application) had to turn explicetly the variable on to get the extra security. 

This a propoasl to keep the more secure option as the default.

If, for reasons of compatibility with remaining unpatched servers or applications, the user can opt out by setting SSL_CBC_RANDOM_IV SSL to 0.

[1] http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2011-3389

Version-Release number of selected component (if applicable):


How reproducible: Always


Steps to Reproduce:
1.
2.
3.

Actual results:

Expected results:

Additional info:

This is very is easy fix, a one-line change to disable application of the patch that overrides the upstream default settings. We should eventually we remove the patch altogther
Comment 1 Elio Maldonado Batiz 2013-10-17 12:28:00 EDT
As posted to devel-announce@lists.fedoraproject.org:

----- Original Message -----
From: "Eric H. Christensen" <sparks@fedoraproject.org>
To: devel-announce@lists.fedoraproject.org
Sent: Wednesday, October 16, 2013 1:33:06 PM
Subject: BEAST to be patched in NSS

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

FESCo met today to address the NSS BEAST patch that left all software using NSS vulnerable to the BEAST[0] vulnerability.  The decision was made to implement the patch that fixes this vulnerablity in F19 and F20.  There are some programs that may have difficulties with this fix.  While the fix will go in as soon as possible the change in F19 will not be applied until some testing has been completed.

Information on this fix is in Bugzilla[1].  If your package depends on NSS you should definitely test this patch before it goes live in order to determine if it breaks functionality (information on the BZ ticket on how to disable the fix if needed).

[0] https://en.wikipedia.org/wiki/BEAST_%28computer_security%29#BEAST_attack
[1] https://bugzilla.mozilla.org/show_bug.cgi?id=665814

- -- Eric
Comment 2 Elio Maldonado Batiz 2013-10-17 16:19:25 EDT
Created attachment 813536 [details]
nss.spec changes to preserve upstream default for BEAST -- in patch form
Comment 3 Fedora Update System 2013-10-18 17:54:30 EDT
nss-3.15.2-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/nss-3.15.2-2.fc20
Comment 4 Fedora Update System 2013-10-18 20:11:42 EDT
Package nss-3.15.2-2.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing nss-3.15.2-2.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-19396/nss-3.15.2-2.fc20
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2013-11-10 02:23:47 EST
nss-3.15.2-2.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.